For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
      • POSTSearch
      • POSTAdd Document
      • POSTCreate Document Index
      • GETRetrieve Document Index
      • GETList Document Indexes
      • PATCHUpdate Document Index
      • PUTReplace Document Index
      • DELDestroy
      • DELRemove Document
LogoLogo
BlogLog InRequest Demo
Client SDKDocument Indexes

Add Document

Beta
POST
https://api.vellum.ai/v1/document-indexes/:id/documents/:document_id
POST
/v1/document-indexes/:id/documents/:document_id
1import requests
2
3url = "https://api.vellum.ai/v1/document-indexes/id/documents/document_id"
4
5headers = {"X-API-KEY": "<apiKey>"}
6
7response = requests.post(url, headers=headers)
8
9print(response.json())
204No Content
1{}
Adds a previously uploaded Document to the specified Document Index.
Was this page helpful?
Previous

Create Document Index

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

document_idstringRequired

Either the Vellum-generated ID or the originally supplied external_id that uniquely identifies the Document you’d like to add.

idstringRequired

Either the Vellum-generated ID or the originally specified name that uniquely identifies the Document Index to which you’d like to add the Document.

Headers

X-API-VersionstringOptional

Response

No response body